//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "ControlsContainer.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWCheckGroupBoxCtrl : public VWControlsContainer
		{
		public:
							VWCheckGroupBoxCtrl(TControlID id);
			virtual			~VWCheckGroupBoxCtrl();

			virtual bool	CreateControl(VWDialog* pDlg, const TXString& text, bool bHasFrame=true);

		// attributes
		public:
			bool			GetState() const;
			void			SetState(bool state);

		};
	}
}